import java.lang.*;
import java.util.*;
import java.io.*;

public class GroupList {

    protected Vector Groups = new Vector();
    protected static final String BLANK = "     ";

    public boolean addGroup( String tGroup ) {
        int max, i, comp;

        if ( Groups.isEmpty() ) {
            Groups.addElement( tGroup );
            return true;
        }
        max = Groups.size();
        for ( i = 0; i < max; i++ ) {
            comp = ((String)Groups.elementAt( i )).compareTo( tGroup );
            if ( comp == 0 ) {
                return false;
            }
            else if ( comp > 0 ) {
                Groups.insertElementAt( tGroup, i );
                return true;
            }
        }
        Groups.addElement( tGroup );
        return true;
    }

    public boolean deleteGroup( String tGroup ) {
        int max, i;

        max = Groups.size();
        for ( i = 0; i < max; i++ ) {
            if ( ((String)Groups.elementAt( i )).compareTo( tGroup ) == 0 ) {
                Groups.removeElementAt( i );
                return true;
            }
        }
        return false;
    }

    public int getNumGroups() {
        return Groups.size();
    }

    public String getGroup( int index )
            throws ArrayIndexOutOfBoundsException {
        return (String)Groups.elementAt( index ); 
    }
}
