import java.util.*;
import java.io.*;

public class Item {

    public String  description;
    public int     priority;
    public Date    startDate;
    public Date    endDate;
    public String  group;

    public Item() {
        description = null;
        priority = 3;
        startDate = new Date();
        endDate = new Date();
        group = null;
    }

    public void SetDescription ( String tDesc ) {
        description = tDesc;
    }

    public void SetGroup ( String tGroup ) {
        group = tGroup;
    }

    public void SetPriority ( int tPri ) {
        priority = tPri;
    }

    public void SetStartDate ( Date tDate ) {
        startDate = tDate;
    }

    public void SetStartDay ( int tDay ) {
        startDate.setDate( tDay );
    }

    public void SetStartMonth ( int tMonth ) {
        startDate.setMonth( tMonth );
    }

    public void SetStartYear ( int tYear ) {
        startDate.setYear( tYear );
    }

    public void SetEndDate ( Date tDate ) {
        endDate = tDate;
    }

    public void SetEndDay ( int tDay ) {
        endDate.setDate( tDay );
    }

    public void SetEndMonth ( int tMonth ) {
        endDate.setMonth( tMonth );
    }

    public void SetEndYear ( int tYear ) {
        endDate.setYear( tYear );
    }

    public String GetDescription () {
        return description;
    }

    public int GetPriority () {
        return priority;
    }

    public int GetStartDay () {
        return startDate.getDay();
    }

    public int GetStartMonth () {
        return ( startDate.getMonth() + 1 );
    }

    public int GetStartYear () {
        return startDate.getYear();
    }

    public int GetEndDay () {
        return endDate.getDay();
    }

    public int GetEndMonth () {
        return ( endDate.getMonth() + 1 );
    }

    public int GetEndYear () {
        return endDate.getYear();
    }
    
} // end class Item

