import java.util.*;
import java.applet.*;
import java.awt.*;

public class YesNoDlg extends Dialog  {

   Component app;
   Button yesButton = new Button( "Yes" );
   Button noButton = new Button( "No" );

   public static final String title = "Confirm";


   public YesNoDlg( Component tapp, Frame parent, String str, String str2 )  {
      super( parent, title, true );

       // init
       app = tapp;

       //Confirmation Dialog
 
        this.setLayout( new GridLayout( 3, 1, 5, 5 ));
        Panel label1         = new Panel();
        Panel label2         = new Panel();
        Panel yesNoArea      = new Panel();
 
        this.add( label1 );
        this.add( label2 );
        this.add( yesNoArea );
 
        label1.add( new Label( str ));
        label2.add( new Label( str2 ));
 
        yesNoArea.setLayout(new GridLayout( 1, 5, 0, 0 ));
 
        Panel null1             = new Panel();
        Panel yes               = new Panel();
        Panel null2             = new Panel();
        Panel no                = new Panel();
        Panel null3             = new Panel();
 
        yesNoArea.add( null1 );
        yesNoArea.add( yes );
        yesNoArea.add( null2 );
        yesNoArea.add( no );
        yesNoArea.add( null3 );
 
        yes.setLayout(new GridLayout( 1, 1, 0, 0 ));
        yes.add( yesButton );
 
        no.setLayout(new GridLayout( 1, 1, 0, 0 ));
        no.add( noButton );

        this.resize( 260, 140 );
        this.show();

   }
    
   // Button event handler 
   public boolean handleEvent(Event evt)  {
      boolean confirm;

      // Yes No Button event handling
      if (( evt.target == yesButton ) &&
            ( evt.id == Event.ACTION_EVENT )) {
         confirm = true;
      }
      else if (( evt.target == noButton ) &&
            ( evt.id == Event.ACTION_EVENT )) {
         confirm = false;
      }
      else  {
         return true;
      }

      this.hide();
      Event confirmEvent = new Event( this, 0, new Boolean(confirm) );
      app.handleEvent( confirmEvent );

      return false;

   }
}
